Xapian::PositionIterator Class Reference

Class for iterating over term positions. More...

`#include <positioniterator.h>`

## Public Member Functions

| PositionIterator (const PositionIterator &o)
| Copy constructor.
PositionIterator & | operator= (const PositionIterator &o)
| Assignment.
| PositionIterator ()
| Default constructor. More...
| ~PositionIterator ()
| Destructor.
Xapian::termpos | operator* () const
| Return the term position at the current iterator position.
PositionIterator & | operator++ ()
| Advance the iterator to the next position.
DerefWrapper_< Xapian::termpos > | operator++ (int)
| Advance the iterator to the next position (postfix version).
void | skip_to (Xapian::termpos termpos)
| Advance the iterator to term position termpos. More...
std::string | get_description () const
| Return a string describing this object.

## Detailed Description

Class for iterating over term positions.

## Constructor & Destructor Documentation

## PositionIterator()

Xapian::PositionIterator::PositionIterator | ( |  | ) |

inline

Default constructor.

Creates an uninitialised iterator, which can't be used before being assigned to, but is sometimes syntactically convenient.

## Member Function Documentation

## skip_to()

void Xapian::PositionIterator::skip_to | ( | Xapian::termpos | termpos | ) |

Advance the iterator to term position termpos.

Parameters

  termpos | The position to advance to. If this position isn't in the stream being iterated, then the iterator is moved to the next term position after it which is.

The documentation for this class was generated from the following file:

- xapian/positioniterator.h